#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_IntermediateRankingData
{
	//编号
	int mID;
	//类型
	int mType;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励1
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_IntermediateRanking
{
public:
private:
	static std::auto_ptr<Fish_IntermediateRanking> msSingleton;
public:
	int GetCount();
	const Fish_IntermediateRankingData* GetData(int ID);
	boost::unordered_map<int, Fish_IntermediateRankingData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_IntermediateRanking* GetSingleton();
private:
	boost::unordered_map<int, Fish_IntermediateRankingData> mMapData;
};
